Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_GQoS_Session Class Reference

A GQoS session object. More...

`#include <QoS_Session_Impl.h>`

Inheritance diagram for ACE_GQoS_Session:

[legend]
Collaboration diagram for ACE_GQoS_Session:

[legend]
List of all members.

## Public Methods
| ~ACE_GQoS_Session (void)
| Default destructor. More...
virtual int | open (ACE_INET_Addr dest_addr, ACE_Protocol_ID protocol_id)
| Open a GQoS session [dest IP, dest port, Protocol ID]. More...
virtual int | close (void)
| Close the GQoS Session. More...
virtual ACE_QoS | qos (void) const
| Returns the QoS for this GQoS session. More...
virtual int | qos (ACE_SOCK *socket, ACE_QoS_Manager *qos_manager, const ACE_QoS &ace_qos)
| Set QoS for this GQoS session. The socket parameter is used to confirm if this QoS session was subscribed to by the socket. More...
virtual void | qos (const ACE_QoS &ace_qos)
| Sets the QoS for this session object to ace_qos. More...
virtual int | update_qos (void)
| Calls the ioctl (ACE_SIO_GET_QOS). It is a mechanism of updating the QoS for this session asynchronously, as RSVP events occur. More...
virtual ACE_End_Point_Type | flags (void) const
| Get/Set methods for the flags_. More...
virtual void | flags (const ACE_End_Point_Type flags)
virtual ACE_INET_Addr | dest_addr (void) const
| Get the destination address for this GQoS session. More...
virtual void | dest_addr (const ACE_INET_Addr &dest_addr)
| Set the destination address for this GQoS session. More...
virtual u_short | source_port (void) const
| Get the source port for this session. More...
virtual void | source_port (const u_short &source_port)
| Set the source port for this session. More...
virtual int | session_id (void) const
| Get the GQoS session id. More...
virtual void | session_id (const int session_id)
| Set the GQoS session id. More...
virtual ACE_HANDLE | rsvp_events_handle (void)
| Get the file descriptor of the underlying socket. More...
virtual void | rsvp_event_type (RSVP_Event_Type event_type)
virtual RSVP_Event_Type | rsvp_event_type (void)
| Set the RAPI event that last occured. More...
virtual int | version ()
| Get the RAPI event that last occured GQoS version. More...
## Static Public Attributes
int | GQoS_session_id = 0
| This is a session ID generator. It does a lot more than expected from an int!. More...
## Private Methods
| ACE_GQoS_Session (void)
| Default constructor. Constructor is defined private so that only the friend factory can instantiate this class. More...
## Friends
class | ACE_QoS_Session_Factory
| The factory is a friend so it can create this object through the only private constructor. More...

## Detailed Description

A GQoS session object.

This class is a GQoS (Generic QoS, an implementation of RSVP on Win2K) implementation of the ACE_QoS_Session interface.

## Constructor & Destructor Documentation

ACE_INLINE ACE_GQoS_Session::~ACE_GQoS_Session | ( | void |  | ) |

| Default destructor.

ACE_GQoS_Session::ACE_GQoS_Session | ( | void |  | ) | `[private]`

| Default constructor. Constructor is defined private so that only the friend factory can instantiate this class.

## Member Function Documentation

int ACE_GQoS_Session::close | ( | void |  | ) | `[virtual]`

| Close the GQoS Session. Reimplemented from ACE_QoS_Session.

ACE_INLINE void ACE_GQoS_Session::dest_addr | ( | const ACE_INET_Addr & | dest_addr | ) | `[virtual]`

| Set the destination address for this GQoS session. Reimplemented from ACE_QoS_Session.

ACE_INLINE ACE_INET_Addr ACE_GQoS_Session::dest_addr | ( | void |  | ) | const`[virtual]`

| Get the destination address for this GQoS session. Reimplemented from ACE_QoS_Session.

ACE_INLINE void ACE_GQoS_Session::flags | ( | const ACE_End_Point_Type | flags | ) | `[virtual]`

| Reimplemented from ACE_QoS_Session.

ACE_INLINE ACE_QoS_Session::ACE_End_Point_Type ACE_GQoS_Session::flags | ( | void |  | ) | const`[virtual]`

| Get/Set methods for the flags_. Reimplemented from ACE_QoS_Session.

int ACE_GQoS_Session::open | ( | ACE_INET_Addr | dest_addr,
|  | ACE_Protocol_ID | protocol_id
| ) | `[virtual]`

| Open a GQoS session [dest IP, dest port, Protocol ID]. Reimplemented from ACE_QoS_Session.

ACE_INLINE void ACE_GQoS_Session::qos | ( | const ACE_QoS & | ace_qos | ) | `[virtual]`

| Sets the QoS for this session object to ace_qos. Does not interfere with the QoS in the underlying socket. This call is useful to update the QoS object when the underlying socket QoS is being set through a mechanism other than the previous qos () method e.g. inside the dgram_mcast.subscribe () where the QoS for the socket is set through ACE_OS::join_leaf (). Reimplemented from ACE_QoS_Session.

int ACE_GQoS_Session::qos | ( | ACE_SOCK * | socket,
|  | ACE_QoS_Manager * | qos_manager,
|  | const ACE_QoS & | ace_qos
| ) | `[virtual]`

| Set QoS for this GQoS session. The socket parameter is used to confirm if this QoS session was subscribed to by the socket. Reimplemented from ACE_QoS_Session.

ACE_INLINE ACE_QoS ACE_GQoS_Session::qos | ( | void |  | ) | const`[virtual]`

| Returns the QoS for this GQoS session. Reimplemented from ACE_QoS_Session.

ACE_QoS_Session::RSVP_Event_Type ACE_GQoS_Session::rsvp_event_type | ( | void |  | ) | `[virtual]`

| Set the RAPI event that last occured. Reimplemented from ACE_QoS_Session.

void ACE_GQoS_Session::rsvp_event_type | ( | ACE_QoS_Session::RSVP_Event_Type | event_type | ) | `[virtual]`

ACE_INLINE ACE_HANDLE ACE_GQoS_Session::rsvp_events_handle | ( | void |  | ) | `[virtual]`

| Get the file descriptor of the underlying socket. Reimplemented from ACE_QoS_Session.

ACE_INLINE void ACE_GQoS_Session::session_id | ( | const int | session_id | ) | `[virtual]`

| Set the GQoS session id. Reimplemented from ACE_QoS_Session.

ACE_INLINE int ACE_GQoS_Session::session_id | ( | void |  | ) | const`[virtual]`

| Get the GQoS session id. Reimplemented from ACE_QoS_Session.

ACE_INLINE void ACE_GQoS_Session::source_port | ( | const u_short & | source_port | ) | `[virtual]`

| Set the source port for this session. Reimplemented from ACE_QoS_Session.

ACE_INLINE u_short ACE_GQoS_Session::source_port | ( | void |  | ) | const`[virtual]`

| Get the source port for this session. Reimplemented from ACE_QoS_Session.

int ACE_GQoS_Session::update_qos | ( | void |  | ) | `[virtual]`

| Calls the ioctl (ACE_SIO_GET_QOS). It is a mechanism of updating the QoS for this session asynchronously, as RSVP events occur. Reimplemented from ACE_QoS_Session.

ACE_INLINE int ACE_GQoS_Session::version | ( | void |  | ) | `[virtual]`

| Get the RAPI event that last occured GQoS version. Reimplemented from ACE_QoS_Session.

## Friends And Related Function Documentation

friend class ACE_QoS_Session_Factory`[friend]`

| The factory is a friend so it can create this object through the only private constructor.

## Member Data Documentation

int ACE_GQoS_Session::GQoS_session_id = 0`[static]`

| This is a session ID generator. It does a lot more than expected from an int!.

The documentation for this class was generated from the following files:

- QoS_Session_Impl.h
- QoS_Session_Impl.cpp
- QoS_Session_Impl.i